<?xml version="1.0"?>
<doc>
    <assembly>
        <name>Gallio.XunitAdapter161</name>
    </assembly>
    <members>
        <member name="T:Gallio.XunitAdapter.Model.XunitTestExplorer">
            <summary>
            Explores tests in Xunit assemblies.
            </summary>
        </member>
        <member name="T:Gallio.XunitAdapter.Model.XunitTestDriver">
            <summary>
            Explores and runs tests in Xunit assemblies.
            </summary>
        </member>
        <member name="T:Gallio.XunitAdapter.Model.XunitAttributeInfoAdapter">
            <summary>
            An adapter for converting <see cref="T:Gallio.Common.Reflection.IAttributeInfo"/> into <see cref="T:Xunit.Sdk.IAttributeInfo"/>.
            </summary>
        </member>
        <member name="T:Gallio.XunitAdapter.Model.XunitMethodInfoAdapter">
            <summary>
            An adapter for converting <see cref="T:Gallio.Common.Reflection.IMethodInfo"/> into <see cref="T:Xunit.Sdk.IMethodInfo"/>.
            </summary>
        </member>
        <member name="T:Gallio.XunitAdapter.Model.XunitTest">
            <summary>
            Wraps an Xunit test.
            </summary>
        </member>
        <member name="M:Gallio.XunitAdapter.Model.XunitTest.#ctor(System.String,Gallio.Common.Reflection.ICodeElementInfo,Gallio.XunitAdapter.Model.XunitTypeInfoAdapter,Gallio.XunitAdapter.Model.XunitMethodInfoAdapter)">
            <summary>
            Initializes a test initially without a parent.
            </summary>
            <param name="name">The name of the component.</param>
            <param name="codeElement">The point of definition, or null if none.</param>
            <param name="typeInfo">The Xunit test type information.</param>
            <param name="methodInfo">The Xunit test method information, or null if none.</param>
            <exception cref="T:System.ArgumentNullException">Thrown if <paramref name="name"/> or <paramref name="typeInfo"/> is null.</exception>
        </member>
        <member name="P:Gallio.XunitAdapter.Model.XunitTest.TypeInfo">
            <summary>
            Gets the Xunit test type information.
            </summary>
        </member>
        <member name="P:Gallio.XunitAdapter.Model.XunitTest.MethodInfo">
            <summary>
            Gets the Xunit test method information.
            </summary>
        </member>
        <member name="T:Gallio.XunitAdapter.Model.XunitTestController">
            <summary>
            Controls the execution of Xunit tests.
            </summary>
        </member>
        <member name="T:Gallio.XunitAdapter.Model.XunitTestFramework">
            <summary>
            Builds a test object model based on reflection against Xunit framework attributes.
            </summary>
        </member>
        <member name="M:Gallio.XunitAdapter.Model.XunitTestFramework.GetTestDriverFactory">
            <inheritdoc />
        </member>
        <member name="T:Gallio.XunitAdapter.Model.XunitTypeInfoAdapter">
            <summary>
            An adapter for converting <see cref="T:Gallio.Common.Reflection.ITypeInfo"/> into <see cref="T:Xunit.Sdk.ITypeInfo"/>.
            </summary>
        </member>
        <member name="T:Gallio.XunitAdapter.Properties.Resources">
            <summary>
              A strongly-typed resource class, for looking up localized strings, etc.
            </summary>
        </member>
        <member name="P:Gallio.XunitAdapter.Properties.Resources.ResourceManager">
            <summary>
              Returns the cached ResourceManager instance used by this class.
            </summary>
        </member>
        <member name="P:Gallio.XunitAdapter.Properties.Resources.Culture">
            <summary>
              Overrides the current thread's CurrentUICulture property for all
              resource lookups using this strongly typed resource class.
            </summary>
        </member>
        <member name="P:Gallio.XunitAdapter.Properties.Resources.XunitTestController_RunningXunitTests">
            <summary>
              Looks up a localized string similar to Running xUnit.net tests..
            </summary>
        </member>
        <member name="P:Gallio.XunitAdapter.Properties.Resources.XunitTestExplorer_FrameworkNameWithVersionFormat">
            <summary>
              Looks up a localized string similar to xUnit.net v{0}.
            </summary>
        </member>
    </members>
</doc>
